%define upstream_name    Proc-InvokeEditor
%define upstream_version 1.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for starting a text editor
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert) >= 0.110.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Test::More) >= 0.80.0
BuildRequires: ed
BuildArch:  noarch

%description
This module provides the ability to supply some text to an external text
editor, have it edited by the user, and retrieve the results.

The File::Temp module is used to provide secure, safe temporary files, and
File::Temp is set to its highest available level of security. This may
cause problems on some systems where no secure temporary directory is
available.

When the editor is started, no subshell is used. Your path will be scanned
to find the binary to use for each editor if the string given does not
exist as a file, and if a named editor contains whitespace, eg) if you try
to use the editor 'xemacs -nw', then the string will be split on whitespace
and anything after the editor name will be passed as arguments to your
editor. A shell is not used but this should cover most simple cases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/Proc/

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.130.0-6.mga10
+ Revision: 2204339
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.130.0-5.mga9
+ Revision: 1810108
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-4.mga8
+ Revision: 1506086
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.130.0-3.mga7
+ Revision: 1285876
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.130.0-2.mga7
+ Revision: 1166390
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.130.0-1.mga7
+ Revision: 1159473
- update to 1.13

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-6.mga6
+ Revision: 1032701
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-5.mga6
+ Revision: 949472
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 789669
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 740605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-2.mga5
+ Revision: 686058
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.70.0-1.mga5
+ Revision: 660397
- update to 1.07

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 521014
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 1.60.0-2.mga3
+ Revision: 388255
- Add BR to fix test
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 107373
- update to 1.06

* Tue Feb 22 2011 jquelin <jquelin> 1.50.0-1.mga1
+ Revision: 56823
- update to 1.05

* Wed Jan 26 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 40756
- mageia rebuild
- imported package perl-Proc-InvokeEditor


* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2011.0
+ Revision: 569953
- update to 1.04

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2011.0
+ Revision: 552604
- update to 1.03

* Thu Apr 29 2010 Michael Scherer <misc@mandriva.org> 1.20.0-1mdv2010.1
+ Revision: 541075
- import perl-Proc-InvokeEditor


* Thu Apr 29 2010 cpan2dist 1.02-1mdv
- initial mdv release, generated with cpan2dist
